# List proposals

GET /v1/proposals: List proposals

```http
GET /v1/proposals
```

|  |  |
|---|---|
| Operation id | `listProposals` |
| Key scope | `read`: every key |
| Section | [Proposals](https://docs.kaab.ist/reference/api#proposals) |

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `limit` | query | integer |  | ≥ 1 · ≤ 100 · default `25` |
| `cursor` | query | string |  | min length 1 |
| `status` | query | `"pending"`, `"approved"`, `"rejected"`, `"expired"` |  |  |
| `program` | query | string |  | min length 1 |
| `kind` | query | `"relocate"`, `"dismiss"`, `"insert_steps"`, `"parser_config"`, `"api_discovery"` |  |  |

## Example request

```bash
curl -X GET "https://api.kaab.ist/v1/proposals" \
  -H "Authorization: Bearer $KAAB_API_KEY"
```

## Responses

### 200

Proposal page

| Field | Type | Required | Description |
|---|---|---|---|
| `data` | [Proposal](https://docs.kaab.ist/reference/api/schemas/proposal)[] | yes |  |
| `next_cursor` | string or null | yes |  |

## Errors

Every error answers with the [error envelope](https://docs.kaab.ist/reference/api/schemas/error-response); its `code` is one of the [error codes](https://docs.kaab.ist/reference/codes#errors).

| Status | When |
|---|---|
| 400 | `request_invalid`: request validation failed |
| 401 | Missing or invalid API key |
| 403 | The key's scope does not cover this operation |
| 429 | Rate limited; see `Retry-After` |
| 500 | `internal`: unexpected server error |
